Subject: [secdir] secdir review of draft-ietf-pcn-encoding-comparison-08

From: Stephen Hanna <[email-masked]>
Date: Sat, 25 Feb 2012 01:50:37 -0500

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This document describes a variety of approaches for encoding
pre-congestion information into the IP header. The document
claims that all relevant security considerations are covered
in RFC 5559 and so far as I can tell this is correct since
these approaches all fit within the architecture defined by
RFC 5559 and the security considerations for that document
appear to be adequate. In any case, this document does not
include any normative text. Whichever approach or approaches
are eventually selected for standardization will presumably
need to come back to IESG for approval. A more detailed
security analysis of the approaches can be done at that time.
>From a security perspective, I see no obstacle to approval
of this document at this time.

I will say that the document is rather difficult to
understand if you're not well versed in PCN technology.
I believe that I have understood enough to evaluate
the security aspects of the document but I would not
claim that I understood the document at a deep level.
This may be fine but it will certainly reduce the number
of useful reviews that the document will get.

Thanks,

Steve